Define _PATH_BSHELL to the first "sh" on the PATH when bootstrapping

nbmake.  This should remove our dependency on a nobbled /bin/sh on
Solaris.
This commit is contained in:
bjh21 2002-04-27 16:36:30 +00:00
parent 4e89501466
commit 0080fde9da
2 changed files with 148 additions and 143 deletions

288
tools/make/configure vendored
View File

@ -967,6 +967,10 @@ if test x"$BSHELL" = x; then
echo "$as_me: error: sh must be somewhere on \$PATH" >&2;}
{ (exit 1); exit 1; }; }
fi
cat >>confdefs.h <<EOF
#define _PATH_BSHELL "$BSHELL"
EOF
# Make wants to know what directory to find sh in.
nb_path_defshelldir=`echo $BSHELL | sed 's,/sh$,,'`
cat >>confdefs.h <<EOF
@ -982,7 +986,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
echo "$as_me:985: checking for $ac_word" >&5
echo "$as_me:989: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -997,7 +1001,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="${ac_tool_prefix}gcc"
echo "$as_me:1000: found $ac_dir/$ac_word" >&5
echo "$as_me:1004: found $ac_dir/$ac_word" >&5
break
done
@ -1005,10 +1009,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
echo "$as_me:1008: result: $CC" >&5
echo "$as_me:1012: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
echo "$as_me:1011: result: no" >&5
echo "$as_me:1015: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1017,7 +1021,7 @@ if test -z "$ac_cv_prog_CC"; then
ac_ct_CC=$CC
# Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
echo "$as_me:1020: checking for $ac_word" >&5
echo "$as_me:1024: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1032,7 +1036,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="gcc"
echo "$as_me:1035: found $ac_dir/$ac_word" >&5
echo "$as_me:1039: found $ac_dir/$ac_word" >&5
break
done
@ -1040,10 +1044,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
echo "$as_me:1043: result: $ac_ct_CC" >&5
echo "$as_me:1047: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
echo "$as_me:1046: result: no" >&5
echo "$as_me:1050: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1056,7 +1060,7 @@ if test -z "$CC"; then
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
echo "$as_me:1059: checking for $ac_word" >&5
echo "$as_me:1063: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1071,7 +1075,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="${ac_tool_prefix}cc"
echo "$as_me:1074: found $ac_dir/$ac_word" >&5
echo "$as_me:1078: found $ac_dir/$ac_word" >&5
break
done
@ -1079,10 +1083,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
echo "$as_me:1082: result: $CC" >&5
echo "$as_me:1086: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
echo "$as_me:1085: result: no" >&5
echo "$as_me:1089: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1091,7 +1095,7 @@ if test -z "$ac_cv_prog_CC"; then
ac_ct_CC=$CC
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
echo "$as_me:1094: checking for $ac_word" >&5
echo "$as_me:1098: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1106,7 +1110,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="cc"
echo "$as_me:1109: found $ac_dir/$ac_word" >&5
echo "$as_me:1113: found $ac_dir/$ac_word" >&5
break
done
@ -1114,10 +1118,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
echo "$as_me:1117: result: $ac_ct_CC" >&5
echo "$as_me:1121: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
echo "$as_me:1120: result: no" >&5
echo "$as_me:1124: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1130,7 +1134,7 @@ fi
if test -z "$CC"; then
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
echo "$as_me:1133: checking for $ac_word" >&5
echo "$as_me:1137: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1150,7 +1154,7 @@ if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
continue
fi
ac_cv_prog_CC="cc"
echo "$as_me:1153: found $ac_dir/$ac_word" >&5
echo "$as_me:1157: found $ac_dir/$ac_word" >&5
break
done
@ -1172,10 +1176,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
echo "$as_me:1175: result: $CC" >&5
echo "$as_me:1179: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
echo "$as_me:1178: result: no" >&5
echo "$as_me:1182: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1186,7 +1190,7 @@ if test -z "$CC"; then
do
# Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
echo "$as_me:1189: checking for $ac_word" >&5
echo "$as_me:1193: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1201,7 +1205,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
echo "$as_me:1204: found $ac_dir/$ac_word" >&5
echo "$as_me:1208: found $ac_dir/$ac_word" >&5
break
done
@ -1209,10 +1213,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
echo "$as_me:1212: result: $CC" >&5
echo "$as_me:1216: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
echo "$as_me:1215: result: no" >&5
echo "$as_me:1219: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1225,7 +1229,7 @@ if test -z "$CC"; then
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo "$as_me:1228: checking for $ac_word" >&5
echo "$as_me:1232: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1240,7 +1244,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="$ac_prog"
echo "$as_me:1243: found $ac_dir/$ac_word" >&5
echo "$as_me:1247: found $ac_dir/$ac_word" >&5
break
done
@ -1248,10 +1252,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
echo "$as_me:1251: result: $ac_ct_CC" >&5
echo "$as_me:1255: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
echo "$as_me:1254: result: no" >&5
echo "$as_me:1258: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1263,32 +1267,32 @@ fi
fi
test -z "$CC" && { { echo "$as_me:1266: error: no acceptable cc found in \$PATH" >&5
test -z "$CC" && { { echo "$as_me:1270: error: no acceptable cc found in \$PATH" >&5
echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
{ (exit 1); exit 1; }; }
# Provide some information about the compiler.
echo "$as_me:1271:" \
echo "$as_me:1275:" \
"checking for C compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:1274: \"$ac_compiler --version </dev/null >&5\"") >&5
{ (eval echo "$as_me:1278: \"$ac_compiler --version </dev/null >&5\"") >&5
(eval $ac_compiler --version </dev/null >&5) 2>&5
ac_status=$?
echo "$as_me:1277: \$? = $ac_status" >&5
echo "$as_me:1281: \$? = $ac_status" >&5
(exit $ac_status); }
{ (eval echo "$as_me:1279: \"$ac_compiler -v </dev/null >&5\"") >&5
{ (eval echo "$as_me:1283: \"$ac_compiler -v </dev/null >&5\"") >&5
(eval $ac_compiler -v </dev/null >&5) 2>&5
ac_status=$?
echo "$as_me:1282: \$? = $ac_status" >&5
echo "$as_me:1286: \$? = $ac_status" >&5
(exit $ac_status); }
{ (eval echo "$as_me:1284: \"$ac_compiler -V </dev/null >&5\"") >&5
{ (eval echo "$as_me:1288: \"$ac_compiler -V </dev/null >&5\"") >&5
(eval $ac_compiler -V </dev/null >&5) 2>&5
ac_status=$?
echo "$as_me:1287: \$? = $ac_status" >&5
echo "$as_me:1291: \$? = $ac_status" >&5
(exit $ac_status); }
cat >conftest.$ac_ext <<_ACEOF
#line 1291 "configure"
#line 1295 "configure"
#include "confdefs.h"
int
@ -1304,13 +1308,13 @@ ac_clean_files="$ac_clean_files a.out a.exe"
# Try to create an executable without -o first, disregard a.out.
# It will help us diagnose broken compilers, and finding out an intuition
# of exeext.
echo "$as_me:1307: checking for C compiler default output" >&5
echo "$as_me:1311: checking for C compiler default output" >&5
echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
if { (eval echo "$as_me:1310: \"$ac_link_default\"") >&5
if { (eval echo "$as_me:1314: \"$ac_link_default\"") >&5
(eval $ac_link_default) 2>&5
ac_status=$?
echo "$as_me:1313: \$? = $ac_status" >&5
echo "$as_me:1317: \$? = $ac_status" >&5
(exit $ac_status); }; then
# Find the output, starting from the most likely. This scheme is
# not robust to junk in `.', hence go to wildcards (a.*) only as a last
@ -1333,34 +1337,34 @@ done
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
{ { echo "$as_me:1336: error: C compiler cannot create executables" >&5
{ { echo "$as_me:1340: error: C compiler cannot create executables" >&5
echo "$as_me: error: C compiler cannot create executables" >&2;}
{ (exit 77); exit 77; }; }
fi
ac_exeext=$ac_cv_exeext
echo "$as_me:1342: result: $ac_file" >&5
echo "$as_me:1346: result: $ac_file" >&5
echo "${ECHO_T}$ac_file" >&6
# Check the compiler produces executables we can run. If not, either
# the compiler is broken, or we cross compile.
echo "$as_me:1347: checking whether the C compiler works" >&5
echo "$as_me:1351: checking whether the C compiler works" >&5
echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
# If not cross compiling, check that we can run a simple program.
if test "$cross_compiling" != yes; then
if { ac_try='./$ac_file'
{ (eval echo "$as_me:1353: \"$ac_try\"") >&5
{ (eval echo "$as_me:1357: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1356: \$? = $ac_status" >&5
echo "$as_me:1360: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
cross_compiling=no
else
if test "$cross_compiling" = maybe; then
cross_compiling=yes
else
{ { echo "$as_me:1363: error: cannot run C compiled programs.
{ { echo "$as_me:1367: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&5
echo "$as_me: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&2;}
@ -1368,24 +1372,24 @@ If you meant to cross compile, use \`--host'." >&2;}
fi
fi
fi
echo "$as_me:1371: result: yes" >&5
echo "$as_me:1375: result: yes" >&5
echo "${ECHO_T}yes" >&6
rm -f a.out a.exe conftest$ac_cv_exeext
ac_clean_files=$ac_clean_files_save
# Check the compiler produces executables we can run. If not, either
# the compiler is broken, or we cross compile.
echo "$as_me:1378: checking whether we are cross compiling" >&5
echo "$as_me:1382: checking whether we are cross compiling" >&5
echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
echo "$as_me:1380: result: $cross_compiling" >&5
echo "$as_me:1384: result: $cross_compiling" >&5
echo "${ECHO_T}$cross_compiling" >&6
echo "$as_me:1383: checking for executable suffix" >&5
echo "$as_me:1387: checking for executable suffix" >&5
echo $ECHO_N "checking for executable suffix... $ECHO_C" >&6
if { (eval echo "$as_me:1385: \"$ac_link\"") >&5
if { (eval echo "$as_me:1389: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:1388: \$? = $ac_status" >&5
echo "$as_me:1392: \$? = $ac_status" >&5
(exit $ac_status); }; then
# If both `conftest.exe' and `conftest' are `present' (well, observable)
# catch `conftest.exe'. For instance with Cygwin, `ls conftest' will
@ -1401,25 +1405,25 @@ for ac_file in `(ls conftest.exe; ls conftest; ls conftest.*) 2>/dev/null`; do
esac
done
else
{ { echo "$as_me:1404: error: cannot compute EXEEXT: cannot compile and link" >&5
{ { echo "$as_me:1408: error: cannot compute EXEEXT: cannot compile and link" >&5
echo "$as_me: error: cannot compute EXEEXT: cannot compile and link" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest$ac_cv_exeext
echo "$as_me:1410: result: $ac_cv_exeext" >&5
echo "$as_me:1414: result: $ac_cv_exeext" >&5
echo "${ECHO_T}$ac_cv_exeext" >&6
rm -f conftest.$ac_ext
EXEEXT=$ac_cv_exeext
ac_exeext=$EXEEXT
echo "$as_me:1416: checking for object suffix" >&5
echo "$as_me:1420: checking for object suffix" >&5
echo $ECHO_N "checking for object suffix... $ECHO_C" >&6
if test "${ac_cv_objext+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1422 "configure"
#line 1426 "configure"
#include "confdefs.h"
int
@ -1431,10 +1435,10 @@ main ()
}
_ACEOF
rm -f conftest.o conftest.obj
if { (eval echo "$as_me:1434: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1438: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1437: \$? = $ac_status" >&5
echo "$as_me:1441: \$? = $ac_status" >&5
(exit $ac_status); }; then
for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
case $ac_file in
@ -1446,24 +1450,24 @@ done
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
{ { echo "$as_me:1449: error: cannot compute OBJEXT: cannot compile" >&5
{ { echo "$as_me:1453: error: cannot compute OBJEXT: cannot compile" >&5
echo "$as_me: error: cannot compute OBJEXT: cannot compile" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest.$ac_cv_objext conftest.$ac_ext
fi
echo "$as_me:1456: result: $ac_cv_objext" >&5
echo "$as_me:1460: result: $ac_cv_objext" >&5
echo "${ECHO_T}$ac_cv_objext" >&6
OBJEXT=$ac_cv_objext
ac_objext=$OBJEXT
echo "$as_me:1460: checking whether we are using the GNU C compiler" >&5
echo "$as_me:1464: checking whether we are using the GNU C compiler" >&5
echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
if test "${ac_cv_c_compiler_gnu+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1466 "configure"
#line 1470 "configure"
#include "confdefs.h"
int
@ -1478,16 +1482,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1481: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1485: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1484: \$? = $ac_status" >&5
echo "$as_me:1488: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1487: \"$ac_try\"") >&5
{ (eval echo "$as_me:1491: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1490: \$? = $ac_status" >&5
echo "$as_me:1494: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_compiler_gnu=yes
else
@ -1499,19 +1503,19 @@ rm -f conftest.$ac_objext conftest.$ac_ext
ac_cv_c_compiler_gnu=$ac_compiler_gnu
fi
echo "$as_me:1502: result: $ac_cv_c_compiler_gnu" >&5
echo "$as_me:1506: result: $ac_cv_c_compiler_gnu" >&5
echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
GCC=`test $ac_compiler_gnu = yes && echo yes`
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
CFLAGS="-g"
echo "$as_me:1508: checking whether $CC accepts -g" >&5
echo "$as_me:1512: checking whether $CC accepts -g" >&5
echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
if test "${ac_cv_prog_cc_g+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1514 "configure"
#line 1518 "configure"
#include "confdefs.h"
int
@ -1523,16 +1527,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1526: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1530: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1529: \$? = $ac_status" >&5
echo "$as_me:1533: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1532: \"$ac_try\"") >&5
{ (eval echo "$as_me:1536: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1535: \$? = $ac_status" >&5
echo "$as_me:1539: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_prog_cc_g=yes
else
@ -1542,7 +1546,7 @@ ac_cv_prog_cc_g=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:1545: result: $ac_cv_prog_cc_g" >&5
echo "$as_me:1549: result: $ac_cv_prog_cc_g" >&5
echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
if test "$ac_test_CFLAGS" = set; then
CFLAGS=$ac_save_CFLAGS
@ -1569,16 +1573,16 @@ cat >conftest.$ac_ext <<_ACEOF
#endif
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1572: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1576: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1575: \$? = $ac_status" >&5
echo "$as_me:1579: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1578: \"$ac_try\"") >&5
{ (eval echo "$as_me:1582: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1581: \$? = $ac_status" >&5
echo "$as_me:1585: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
for ac_declaration in \
''\
@ -1590,7 +1594,7 @@ if { (eval echo "$as_me:1572: \"$ac_compile\"") >&5
'void exit (int);'
do
cat >conftest.$ac_ext <<_ACEOF
#line 1593 "configure"
#line 1597 "configure"
#include "confdefs.h"
#include <stdlib.h>
$ac_declaration
@ -1603,16 +1607,16 @@ exit (42);
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1606: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1610: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1609: \$? = $ac_status" >&5
echo "$as_me:1613: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1612: \"$ac_try\"") >&5
{ (eval echo "$as_me:1616: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1615: \$? = $ac_status" >&5
echo "$as_me:1619: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
@ -1622,7 +1626,7 @@ continue
fi
rm -f conftest.$ac_objext conftest.$ac_ext
cat >conftest.$ac_ext <<_ACEOF
#line 1625 "configure"
#line 1629 "configure"
#include "confdefs.h"
$ac_declaration
int
@ -1634,16 +1638,16 @@ exit (42);
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1637: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1641: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1640: \$? = $ac_status" >&5
echo "$as_me:1644: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1643: \"$ac_try\"") >&5
{ (eval echo "$as_me:1647: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1646: \$? = $ac_status" >&5
echo "$as_me:1650: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
break
else
@ -1675,7 +1679,7 @@ ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
echo "$as_me:1678: checking how to run the C preprocessor" >&5
echo "$as_me:1682: checking how to run the C preprocessor" >&5
echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
@ -1696,18 +1700,18 @@ do
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp. "Syntax error" is here to catch this case.
cat >conftest.$ac_ext <<_ACEOF
#line 1699 "configure"
#line 1703 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax error
_ACEOF
if { (eval echo "$as_me:1704: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1708: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1710: \$? = $ac_status" >&5
echo "$as_me:1714: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1730,17 +1734,17 @@ rm -f conftest.err conftest.$ac_ext
# OK, works on sane cases. Now check whether non-existent headers
# can be detected and how.
cat >conftest.$ac_ext <<_ACEOF
#line 1733 "configure"
#line 1737 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
_ACEOF
if { (eval echo "$as_me:1737: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1741: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1743: \$? = $ac_status" >&5
echo "$as_me:1747: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1777,7 +1781,7 @@ fi
else
ac_cv_prog_CPP=$CPP
fi
echo "$as_me:1780: result: $CPP" >&5
echo "$as_me:1784: result: $CPP" >&5
echo "${ECHO_T}$CPP" >&6
ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
@ -1787,18 +1791,18 @@ do
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp. "Syntax error" is here to catch this case.
cat >conftest.$ac_ext <<_ACEOF
#line 1790 "configure"
#line 1794 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax error
_ACEOF
if { (eval echo "$as_me:1795: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1799: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1801: \$? = $ac_status" >&5
echo "$as_me:1805: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1821,17 +1825,17 @@ rm -f conftest.err conftest.$ac_ext
# OK, works on sane cases. Now check whether non-existent headers
# can be detected and how.
cat >conftest.$ac_ext <<_ACEOF
#line 1824 "configure"
#line 1828 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
_ACEOF
if { (eval echo "$as_me:1828: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1832: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1834: \$? = $ac_status" >&5
echo "$as_me:1838: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1859,7 +1863,7 @@ rm -f conftest.err conftest.$ac_ext
if $ac_preproc_ok; then
:
else
{ { echo "$as_me:1862: error: C preprocessor \"$CPP\" fails sanity check" >&5
{ { echo "$as_me:1866: error: C preprocessor \"$CPP\" fails sanity check" >&5
echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
{ (exit 1); exit 1; }; }
fi
@ -1870,23 +1874,23 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
echo "$as_me:1873: checking for regex.h" >&5
echo "$as_me:1877: checking for regex.h" >&5
echo $ECHO_N "checking for regex.h... $ECHO_C" >&6
if test "${ac_cv_header_regex_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1879 "configure"
#line 1883 "configure"
#include "confdefs.h"
#include <regex.h>
_ACEOF
if { (eval echo "$as_me:1883: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1887: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1889: \$? = $ac_status" >&5
echo "$as_me:1893: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1905,12 +1909,12 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
echo "$as_me:1908: result: $ac_cv_header_regex_h" >&5
echo "$as_me:1912: result: $ac_cv_header_regex_h" >&5
echo "${ECHO_T}$ac_cv_header_regex_h" >&6
if test $ac_cv_header_regex_h = yes; then
:
else
{ { echo "$as_me:1913: error: POSIX regex.h is required" >&5
{ { echo "$as_me:1917: error: POSIX regex.h is required" >&5
echo "$as_me: error: POSIX regex.h is required" >&2;}
{ (exit 1); exit 1; }; }
fi
@ -1918,7 +1922,7 @@ fi
# regcomp() and regexec() are also names of functions in the old V8
# regexp package. To avoid them, we need to find out who has regfree().
echo "$as_me:1921: checking for regfree in -lregex" >&5
echo "$as_me:1925: checking for regfree in -lregex" >&5
echo $ECHO_N "checking for regfree in -lregex... $ECHO_C" >&6
if test "${ac_cv_lib_regex_regfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1926,7 +1930,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lregex $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 1929 "configure"
#line 1933 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -1945,16 +1949,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:1948: \"$ac_link\"") >&5
if { (eval echo "$as_me:1952: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:1951: \$? = $ac_status" >&5
echo "$as_me:1955: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:1954: \"$ac_try\"") >&5
{ (eval echo "$as_me:1958: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1957: \$? = $ac_status" >&5
echo "$as_me:1961: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_regex_regfree=yes
else
@ -1965,7 +1969,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:1968: result: $ac_cv_lib_regex_regfree" >&5
echo "$as_me:1972: result: $ac_cv_lib_regex_regfree" >&5
echo "${ECHO_T}$ac_cv_lib_regex_regfree" >&6
if test $ac_cv_lib_regex_regfree = yes; then
cat >>confdefs.h <<EOF
@ -1976,7 +1980,7 @@ EOF
fi
echo "$as_me:1979: checking for library containing regfree" >&5
echo "$as_me:1983: checking for library containing regfree" >&5
echo $ECHO_N "checking for library containing regfree... $ECHO_C" >&6
if test "${ac_cv_search_regfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1984,7 +1988,7 @@ else
ac_func_search_save_LIBS=$LIBS
ac_cv_search_regfree=no
cat >conftest.$ac_ext <<_ACEOF
#line 1987 "configure"
#line 1991 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -2003,16 +2007,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2006: \"$ac_link\"") >&5
if { (eval echo "$as_me:2010: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2009: \$? = $ac_status" >&5
echo "$as_me:2013: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2012: \"$ac_try\"") >&5
{ (eval echo "$as_me:2016: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2015: \$? = $ac_status" >&5
echo "$as_me:2019: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_regfree="none required"
else
@ -2024,7 +2028,7 @@ if test "$ac_cv_search_regfree" = no; then
for ac_lib in rx posix; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 2027 "configure"
#line 2031 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -2043,16 +2047,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2046: \"$ac_link\"") >&5
if { (eval echo "$as_me:2050: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2049: \$? = $ac_status" >&5
echo "$as_me:2053: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2052: \"$ac_try\"") >&5
{ (eval echo "$as_me:2056: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2055: \$? = $ac_status" >&5
echo "$as_me:2059: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_regfree="-l$ac_lib"
break
@ -2065,7 +2069,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
LIBS=$ac_func_search_save_LIBS
fi
echo "$as_me:2068: result: $ac_cv_search_regfree" >&5
echo "$as_me:2072: result: $ac_cv_search_regfree" >&5
echo "${ECHO_T}$ac_cv_search_regfree" >&6
if test "$ac_cv_search_regfree" != no; then
test "$ac_cv_search_regfree" = "none required" || LIBS="$ac_cv_search_regfree $LIBS"
@ -2075,13 +2079,13 @@ fi
for ac_func in setenv strdup strerror strftime vsnprintf
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:2078: checking for $ac_func" >&5
echo "$as_me:2082: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 2084 "configure"
#line 2088 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@ -2112,16 +2116,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2115: \"$ac_link\"") >&5
if { (eval echo "$as_me:2119: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2118: \$? = $ac_status" >&5
echo "$as_me:2122: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2121: \"$ac_try\"") >&5
{ (eval echo "$as_me:2125: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2124: \$? = $ac_status" >&5
echo "$as_me:2128: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@ -2131,7 +2135,7 @@ eval "$as_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:2134: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "$as_me:2138: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@ -2250,7 +2254,7 @@ rm -f confdef2opt.sed
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:2253: creating $CONFIG_STATUS" >&5
{ echo "$as_me:2257: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@ -2417,7 +2421,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:2420: error: ambiguous option: $1
{ { echo "$as_me:2424: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@ -2436,7 +2440,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:2439: error: unrecognized option: $1
-*) { { echo "$as_me:2443: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@ -2472,7 +2476,7 @@ do
case "$ac_config_target" in
# Handling of arguments.
"buildmake.sh" ) CONFIG_FILES="$CONFIG_FILES buildmake.sh" ;;
*) { { echo "$as_me:2475: error: invalid argument: $ac_config_target" >&5
*) { { echo "$as_me:2479: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@ -2670,7 +2674,7 @@ done; }
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:2673: creating $ac_file" >&5
{ echo "$as_me:2677: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@ -2688,7 +2692,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:2691: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:2695: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -2701,7 +2705,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:2704: error: cannot find input file: $f" >&5
{ { echo "$as_me:2708: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;

View File

@ -1,4 +1,4 @@
# $NetBSD: configure.ac,v 1.3 2002/04/24 21:20:08 bjh21 Exp $
# $NetBSD: configure.ac,v 1.4 2002/04/27 16:36:31 bjh21 Exp $
#
# Autoconf definition file for make.
#
@ -10,6 +10,7 @@ AC_PATH_PROG(BSHELL, sh)
if test x"$BSHELL" = x; then
AC_MSG_ERROR([sh must be somewhere on \$PATH])
fi
AC_DEFINE_UNQUOTED(_PATH_BSHELL, "$BSHELL")
# Make wants to know what directory to find sh in.
nb_path_defshelldir=`echo $BSHELL | sed 's,/sh$,,'`
AC_DEFINE_UNQUOTED(_PATH_DEFSHELLDIR, "$nb_path_defshelldir")